OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectRootComps Class Reference

A SelectRootComps sorts the Entities which are part of Strong
Componants, local roots of a set of Entities : they can be
Single Componants (containing one Entity) or Cycles
This class gives a more secure result than SelectRoots (which
considers only Single Componants) but is longer to work : it
can be used when there can be or there are cycles in a Model
For each cycle, one Entity is given arbitrarily
Reject works as for SelectRoots : Strong Componants defined in
the input list which are not local roots are given
.

`#include <IFSelect_SelectRootComps.hxx>`

Inheritance diagram for IFSelect_SelectRootComps:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SelectRootComps ()
| Creates a SelectRootComps .
virtual Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of local root strong componants, by one Entity par componant. It is redefined for a purpose of effeciency : calling a Sort routine for each Entity would cost more ressource than to work in once using a Map RootResult takes in account the Direct status .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns always True, because RootResult has done work .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns a text defining the criterium : "Local Root Componants" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
virtual Standard_EXPORT Standard_Boolean | HasUniqueResult () const
| Returns True, RootResult assuring uniqueness .

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectRootComps::IFSelect_SelectRootComps | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IFSelect_SelectRootComps::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IFSelect_SelectRootComps::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

virtual Standard_EXPORT Standard_Boolean IFSelect_SelectRootComps::HasUniqueResult | ( |  | ) | const`[protected, virtual]`

| Reimplemented from IFSelect_Selection.

virtual Standard_EXPORT Interface_EntityIterator IFSelect_SelectRootComps::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Standard_Boolean IFSelect_SelectRootComps::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

The documentation for this class was generated from the following file:

- IFSelect_SelectRootComps.hxx